Summary:	gedit plugins
Summary(pl.UTF-8):	Wtyczki dla gedita
Name:		gedit-plugins
Version:	47.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	https://download.gnome.org/sources/gedit-plugins/47/%{name}-%{version}.tar.xz
# Source0-md5:	116b3ba0e6f03980ac23aebe7c99959c
URL:		https://wiki.gnome.org/Apps/Gedit
BuildRequires:	appstream-glib
BuildRequires:	gedit-devel >= 47.0
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.64
BuildRequires:	libgedit-gtksourceview-devel >= 299
BuildRequires:	libpeas-devel >= 1.14.1
BuildRequires:	libpeas-gtk-devel >= 1.14.1
BuildRequires:	meson >= 0.57
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.28.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	gedit >= 47.0
Requires:	glib2 >= 1:2.64
# Gtk-3.0 typelib
Requires:	gtk+3 >= 3.22
# Gucharmap-2.90 typelib
Requires:	gucharmap-libs >= 3.0.0
# GtkSource-300 typelib
Requires:	libgedit-gtksourceview >= 299
# Ggit-1.0 typelib
Requires:	libgit2-glib >= 0.0.6
# Peas-1.0, PeasGtk-1.0 typelibs
Requires:	libpeas-gtk >= 1.14.1
Requires:	libpeas-loader-python3 >= 1.14.1
Requires:	python3-dbus >= 0.82
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0.0
# Vte-2.91 typelib
Requires:	vte >= 0.38.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A set of plugins for gedit.

%description -l pl.UTF-8
Zestaw wtyczek dla gedita.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{_libdir}/gedit/plugins
%py3_ocomp $RPM_BUILD_ROOT%{_libdir}/gedit/plugins

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
# common
%dir %{_libdir}/gedit/plugins/__pycache__
%{_libdir}/gedit/plugins/gpdefs.py
%{_libdir}/gedit/plugins/__pycache__/gpdefs.cpython-*.py[co]

# plugins below

%{_libdir}/gedit/plugins/bookmarks.plugin
%attr(755,root,root) %{_libdir}/gedit/plugins/libbookmarks.so
%{_datadir}/metainfo/gedit-bookmarks.metainfo.xml

%{_libdir}/gedit/plugins/bracketcompletion.plugin
%{_libdir}/gedit/plugins/bracketcompletion.py
%{_libdir}/gedit/plugins/__pycache__/bracketcompletion.cpython-*.py[co]
%{_datadir}/metainfo/gedit-bracketcompletion.metainfo.xml

%{_libdir}/gedit/plugins/charmap.plugin
%dir %{_libdir}/gedit/plugins/charmap
%{_libdir}/gedit/plugins/charmap/*.py
%{_libdir}/gedit/plugins/charmap/__pycache__
%{_datadir}/metainfo/gedit-charmap.metainfo.xml

%{_libdir}/gedit/plugins/codecomment.plugin
%{_libdir}/gedit/plugins/codecomment.py
%{_libdir}/gedit/plugins/__pycache__/codecomment.cpython-*.py[co]
%{_datadir}/metainfo/gedit-codecomment.metainfo.xml

%{_libdir}/gedit/plugins/colorpicker.plugin
%{_libdir}/gedit/plugins/colorpicker.py
%{_libdir}/gedit/plugins/__pycache__/colorpicker.cpython-*.py[co]
%{_datadir}/metainfo/gedit-colorpicker.metainfo.xml

%{_libdir}/gedit/plugins/drawspaces.plugin
%attr(755,root,root) %{_libdir}/gedit/plugins/libdrawspaces.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.drawspaces.gschema.xml
%{_datadir}/metainfo/gedit-drawspaces.metainfo.xml

%{_libdir}/gedit/plugins/git.plugin
%dir %{_libdir}/gedit/plugins/git
%{_libdir}/gedit/plugins/git/*.py*
%{_libdir}/gedit/plugins/git/__pycache__
%{_datadir}/metainfo/gedit-git.metainfo.xml

%{_libdir}/gedit/plugins/joinlines.plugin
%{_libdir}/gedit/plugins/joinlines.py
%{_libdir}/gedit/plugins/__pycache__/joinlines.cpython-*.py[co]
%{_datadir}/metainfo/gedit-joinlines.metainfo.xml

%{_libdir}/gedit/plugins/multiedit.plugin
%dir %{_libdir}/gedit/plugins/multiedit
%{_libdir}/gedit/plugins/multiedit/*.py
%{_libdir}/gedit/plugins/multiedit/__pycache__
%{_datadir}/metainfo/gedit-multiedit.metainfo.xml

%{_libdir}/gedit/plugins/sessionsaver.plugin
%dir %{_libdir}/gedit/plugins/sessionsaver
%{_libdir}/gedit/plugins/sessionsaver/*.py
%{_libdir}/gedit/plugins/sessionsaver/__pycache__
%dir %{_libdir}/gedit/plugins/sessionsaver/store
%{_libdir}/gedit/plugins/sessionsaver/store/*.py
%{_libdir}/gedit/plugins/sessionsaver/store/__pycache__
%{_datadir}/gedit/plugins/sessionsaver

%attr(755,root,root) %{_libdir}/gedit/plugins/libsmartspaces.so
%{_libdir}/gedit/plugins/smartspaces.plugin
%{_datadir}/metainfo/gedit-smartspaces.metainfo.xml

%{_libdir}/gedit/plugins/terminal.plugin
%{_libdir}/gedit/plugins/terminal.py
%{_libdir}/gedit/plugins/__pycache__/terminal.cpython-*.py[co]
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.terminal.gschema.xml
%{_datadir}/metainfo/gedit-terminal.metainfo.xml

%{_libdir}/gedit/plugins/textsize.plugin
%dir %{_libdir}/gedit/plugins/textsize
%{_libdir}/gedit/plugins/textsize/*.py
%{_libdir}/gedit/plugins/textsize/__pycache__
%{_datadir}/metainfo/gedit-textsize.metainfo.xml

%{_libdir}/gedit/plugins/wordcompletion.plugin
%attr(755,root,root) %{_libdir}/gedit/plugins/libwordcompletion.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.wordcompletion.gschema.xml
%{_datadir}/metainfo/gedit-wordcompletion.metainfo.xml
%changelog
* Sun Jul 21 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gedit-plugins.git;a=log;h=master

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 1c728b0
- updated to 47.1

* Thu Sep 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 5871918
- updated to 46.0

* Tue Sep 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 0286434
- updated to 45.0; colorschemer and synctex plugins are gone

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 99028b7
- updated to 44.1

* Sun Mar 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 5dbc2bb
- release 3

* Sun Dec 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 001138e
- release 2 (libgedit soname change)

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 1aea0e5
- updated to 43.1

* Sat Jun 04 2022 Jakub Bogusz <qboosh@pld-linux.org> cd27d52
- updated to 42.1

* Mon Apr 18 2022 Jakub Bogusz <qboosh@pld-linux.org> c0ae24e
- updated to 42.0

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> d2ec73d
- updated to 41.0

* Wed Apr 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 3c3b4d7
- updated to 40.1

* Sat Apr 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 8bb7ca1
- updated to 40.0

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 1f8064d
- updated to 3.38.2

* Fri Nov 20 2020 Jakub Bogusz <qboosh@pld-linux.org> ca04c03
- updated to 3.38.1

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> bb06005
- updated to 3.38.0

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 0a56f10
- updated to 3.36.2; zeitgeist plugin dropped upstream

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 9fdf36a
- updated to 3.34.1; synctex plugin is back

* Fri Nov 08 2019 Jakub Bogusz <qboosh@pld-linux.org> faf7fda
- updated to 3.34.0

* Sun Feb 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 03451f5
- updated to 3.22.0

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> ab738ba
- updated to 3.20.0

